---
updatedAt: 2026-06-03T14:46:37.000Z
agentTools:
  projectIndex: https://developers.fieldwire.com/llms.txt
---

# Get all tier two cost codes in project

# OpenAPI definition

```json
{
  "openapi": "3.0.3",
  "info": {
    "title": "Fieldwire Regional API",
    "version": "v3"
  },
  "servers": [
    {
      "url": "https://client-api.{region}.fieldwire.com",
      "variables": {
        "region": {
          "default": "us",
          "enum": [
            "ca",
            "eu",
            "us"
          ]
        }
      }
    }
  ],
  "components": {
    "headers": {
      "count": {
        "description": "Pagination header: number of entities in responses",
        "schema": {
          "type": "integer"
        }
      },
      "current_user_id": {
        "description": "Current user's id",
        "schema": {
          "type": "integer"
        }
      },
      "has_more": {
        "description": "True if there are more pages of results, false otherwise",
        "schema": {
          "type": "boolean"
        }
      },
      "last_synced_at": {
        "description": "To be used as input for `last_synced_at` query parameter to get the next page of results",
        "schema": {
          "type": "string",
          "format": "date-time"
        }
      }
    },
    "parameters": {
      "api_version": {
        "name": "Fieldwire-Version",
        "in": "header",
        "description": "Specifies the version of the API to talk to",
        "required": true,
        "schema": {
          "type": "string",
          "format": "date"
        }
      },
      "entities_filter": {
        "name": "Fieldwire-Filter",
        "in": "header",
        "description": "Specifies if request should include active, deleted or all (default) entities",
        "required": false,
        "schema": {
          "type": "string",
          "enum": [
            "active",
            "deleted"
          ]
        }
      },
      "entities_per_page": {
        "name": "Fieldwire-Per-Page",
        "in": "header",
        "description": "Specifies the number of entities to include in the request",
        "required": false,
        "schema": {
          "type": "integer",
          "maximum": 1000
        }
      },
      "project_id": {
        "name": "project_id",
        "in": "path",
        "description": "ID of the project this entity belongs to",
        "required": true,
        "schema": {
          "type": "string",
          "format": "uuid"
        }
      },
      "last_synced_at": {
        "name": "last_synced_at",
        "in": "query",
        "description": "Timestamp since when further updates should be included",
        "required": false,
        "schema": {
          "type": "string",
          "format": "date-time"
        }
      }
    },
    "schemas": {
      "tier_two_cost_code": {
        "type": "object",
        "description": "Entity that represents a cost code in the budget table.",
        "required": [
          "id",
          "code",
          "name",
          "project_id",
          "created_at",
          "updated_at",
          "device_created_at",
          "device_updated_at",
          "deleted_at",
          "creator_user_id",
          "last_editor_user_id"
        ],
        "nullable": false,
        "properties": {
          "id": {
            "type": "string",
            "format": "uuid",
            "nullable": false,
            "description": "ID of the cost code"
          },
          "name": {
            "type": "string",
            "nullable": false,
            "description": "Name of the cost code",
            "maxLength": 100
          },
          "code": {
            "type": "string",
            "nullable": false,
            "description": "Unique identifying code of the cost code",
            "maxLength": 20
          },
          "tier_one_cost_code_id": {
            "type": "string",
            "format": "uuid",
            "nullable": false,
            "description": "ID of the cost group to which the cost code belongs"
          },
          "project_id": {
            "type": "string",
            "format": "uuid",
            "nullable": false,
            "description": "ID of the project this entity belongs to"
          },
          "creator_user_id": {
            "type": "integer",
            "format": "int32",
            "nullable": false,
            "description": "ID of the user who created this entity"
          },
          "last_editor_user_id": {
            "type": "integer",
            "format": "int32",
            "nullable": false,
            "description": "ID of the user who most recently edited this entity"
          },
          "created_at": {
            "type": "string",
            "format": "date-time",
            "nullable": false,
            "description": "Time when the server created the entity"
          },
          "updated_at": {
            "type": "string",
            "format": "date-time",
            "nullable": false,
            "description": "Time when the server last updated the entity"
          },
          "device_created_at": {
            "type": "string",
            "format": "date-time",
            "nullable": false,
            "description": "Time when the device created the entity"
          },
          "device_updated_at": {
            "type": "string",
            "format": "date-time",
            "nullable": false,
            "description": "Time when the device last updated the entity"
          },
          "deleted_at": {
            "type": "string",
            "format": "date-time",
            "nullable": true,
            "description": "Time the server deleted the entity"
          },
          "resolved_conflict": {
            "type": "boolean",
            "nullable": false,
            "description": "Specifies if PUT/PATCH request was rejected - do not store this field!"
          }
        },
        "additionalProperties": false
      }
    },
    "securitySchemes": {
      "jwt": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "JWT",
        "description": "Access token (JWT) generated using the acquired refresh token (API token). Our [authentication](https://developers.fieldwire.com/docs/authentication) guide covers the steps to generate a valid token"
      }
    }
  },
  "paths": {
    "/api/v3/projects/{project_id}/tier_two_cost_codes": {
      "get": {
        "summary": "Get all tier two cost codes in project",
        "operationId": "get_tier_two_cost_codes_in_project",
        "tags": [
          "tier two cost codes"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/api_version"
          },
          {
            "$ref": "#/components/parameters/entities_filter"
          },
          {
            "$ref": "#/components/parameters/entities_per_page"
          },
          {
            "$ref": "#/components/parameters/last_synced_at"
          },
          {
            "$ref": "#/components/parameters/project_id"
          }
        ],
        "security": [
          {
            "jwt": []
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "headers": {
              "X-Current-User-Id": {
                "$ref": "#/components/headers/current_user_id"
              },
              "X-Count": {
                "$ref": "#/components/headers/count"
              },
              "X-Last-Synced-At": {
                "$ref": "#/components/headers/last_synced_at"
              },
              "X-Has-More": {
                "$ref": "#/components/headers/has_more"
              }
            },
            "content": {
              "application/json": {
                "example": [
                  {
                    "id": "14f839a3-dc05-4f6f-a078-bdff7d3b1a46",
                    "creator_user_id": 824,
                    "last_editor_user_id": 824,
                    "project_id": "c1c6fbaa-90f5-4688-8f87-986fdba36e33",
                    "tier_one_cost_code_id": "abad6fba-0dfe-4001-baaf-329b9209b129",
                    "code": "P3bg",
                    "name": "w93RgzUUac",
                    "created_at": "2026-10-02T14:49:19.287Z",
                    "updated_at": "2026-10-02T14:49:19.287Z",
                    "device_created_at": "2026-10-02T14:49:19.287Z",
                    "device_updated_at": "2026-10-02T14:49:19.287Z",
                    "deleted_at": null
                  },
                  {
                    "id": "e773db6b-fac2-43d2-b06d-31bc7fd94ad9",
                    "creator_user_id": 826,
                    "last_editor_user_id": 826,
                    "project_id": "c1c6fbaa-90f5-4688-8f87-986fdba36e33",
                    "tier_one_cost_code_id": "f5a619d3-1206-4285-babd-e15df2a75dbb",
                    "code": "VllS",
                    "name": "ZdHekIzo41",
                    "created_at": "2026-10-01T00:00:00.000Z",
                    "updated_at": "2026-10-02T14:49:19.348Z",
                    "device_created_at": "2026-10-01T00:00:00.000Z",
                    "device_updated_at": "2026-10-01T00:00:00.000Z",
                    "deleted_at": null
                  }
                ],
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/tier_two_cost_code"
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}
```